package com.zcloud.service.bus.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno2.corp.MaintenanceUserInfoMapper;
import com.zcloud.service.bus.MaintenanceUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class MaintenanceUserInfoServiceImpl implements MaintenanceUserInfoService{

	@Autowired
	private MaintenanceUserInfoMapper maintenanceuserinfoMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		maintenanceuserinfoMapper.save(pd);
	}
	public void saveTrial(PageData pd)throws Exception{
		maintenanceuserinfoMapper.saveTrial(pd);
	}
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		maintenanceuserinfoMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		maintenanceuserinfoMapper.edit(pd);
	}
	public void editIsReceive(PageData pd)throws Exception{
		maintenanceuserinfoMapper.editIsReceive(pd);
	}
	public void updateISuse(PageData pd)throws Exception{
		maintenanceuserinfoMapper.updateISuse(pd);
	}
	public void updateuse(PageData pd)throws Exception{
		maintenanceuserinfoMapper.updateuse(pd);
	}
	public void editStatus(PageData pd)throws Exception{
		maintenanceuserinfoMapper.editStatus(pd);
	}
	public void goStop(PageData pd)throws Exception{
		maintenanceuserinfoMapper.goStop(pd);
	}
	public void deleteStop(PageData pd)throws Exception{
		maintenanceuserinfoMapper.deleteStop(pd);
	}
	public void goFormal(PageData pd)throws Exception{
		maintenanceuserinfoMapper.goFormal(pd);
	}
	public void deleteTrial(PageData pd)throws Exception{
		maintenanceuserinfoMapper.deleteTrial(pd);
	}



	public PageData findBytrialId(PageData pd)throws Exception{
		return maintenanceuserinfoMapper.findBytrialId(pd);
	}
	public void editStartStatus(PageData pd)throws Exception{
		maintenanceuserinfoMapper.editStartStatus(pd);
	}
	public void editTrialStatus(PageData pd)throws Exception{
		maintenanceuserinfoMapper.editTrialStatus(pd);
	}
	public void goStart(PageData pd)throws Exception{
		maintenanceuserinfoMapper.goStart(pd);
	}
	public void deleteStart(PageData pd)throws Exception{
		maintenanceuserinfoMapper.deleteStart(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return maintenanceuserinfoMapper.datalistPage(page);
	}

	public List<PageData> usedCorpList(Page page)throws Exception{
		return maintenanceuserinfoMapper.usedCorplistPage(page);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> corpstoplistPage(Page page)throws Exception{
		return maintenanceuserinfoMapper.corpstoplistPage(page);
	}
	public List<PageData> corptriallistPage(Page page)throws Exception{
		return maintenanceuserinfoMapper.corptriallistPage(page);
	}
	public List<PageData> corplistPage(Page page)throws Exception{
		return maintenanceuserinfoMapper.corplistPage(page);
	}
	public List<PageData> smallAuditlistPage(Page page)throws Exception{
		return maintenanceuserinfoMapper.smallAuditlistPage(page);
	}


	/**资源库企业列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> resList(Page page)throws Exception{
		return maintenanceuserinfoMapper.reslistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return maintenanceuserinfoMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return maintenanceuserinfoMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		maintenanceuserinfoMapper.deleteAll(ArrayDATA_IDS);
	}

	public PageData findByName(PageData pd) {
		return maintenanceuserinfoMapper.findByName(pd);
	}

	@Override
	public List<PageData> listByCorpType(PageData pd) throws Exception {
		// TODO Auto-generated method stub
		return maintenanceuserinfoMapper.listByCorpType(pd);
	}

	@Override
	public Integer findCount(String string) throws Exception {
		// TODO Auto-generated method stub
		return maintenanceuserinfoMapper.findCount(string);
	}

	/**查询所有企业ID
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> getAllCorpId(PageData pd)throws Exception{
		return maintenanceuserinfoMapper.getAllCorpId(pd);
	}

	/**修改交付信息
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public void editDeliver(PageData pd)throws Exception{
		maintenanceuserinfoMapper.editDeliver(pd);
	}

	/**查询所有交付企业
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> findAllUsedCorp(PageData pd)throws Exception{
		return maintenanceuserinfoMapper.findAllUsedCorp(pd);
	}

	/**市场管理-指定人员-修改项目负责人
	 * @throws Exception
	 */
	@Override
	public void editImplementPerson(PageData pd) throws Exception {
		maintenanceuserinfoMapper.editImplementPerson(pd);
	}

	@Override
	public void setVisitConfig(PageData pd) throws Exception {
		maintenanceuserinfoMapper.setVisitConfig(pd);
	}
	/**
	 * 更改四类人员
	 * @return
	 * @throws Exception
	 */
	@Override
	public void changePersonnel(PageData pd) throws Exception {
		maintenanceuserinfoMapper.changePersonnel(pd);
	}
}

